#!/bin/sh

PACKET="gtk-screenshot-0.1.0"

echo "Make distcheck ..."
make distcheck

echo "Clean dist ..."
rm -rf dist

echo "Build dist ..."
mkdir dist
mv ${PACKET}.tar.gz ./dist/${PACKET}.orig.tar.gz
cd dist
tar xzf ${PACKET}.orig.tar.gz

echo "Build .deb ..."
cd ${PACKET}
dpkg-buildpackage -rfakeroot -B

echo "Clean up ..."
cd ..
rm -rf ${PACKET}
cd ..

echo "Info ..."
echo "------------------------------------------------------"
echo " To check packet, type:"
echo " dpkg --contents $(ls ./dist/*.deb)"
echo "------------------------------------------------------"

